Subject: Re: [lojban] tar(1) tao

From: Lee Daniel Crocker <[email-masked]>
Date: Tue, 12 Feb 2002 10:43:34 -0800 (PST)

On Tue, 12 Feb 2002, John Leuner wrote:

> On Fri, Nov 23, 2001 at 04:30:20PM -0500, [email-masked] wrote:
> > In a message dated 11/23/2001 1:26:00 PM Central Standard Time, 
> > [email-masked] writes:
> > 
> > 
> > > The tao that can be tar(1)ed is not the entire Tao.
> > > The path that can be specified is not the Full Path.
> > > 
> > 
> > What the fatal fandango is "tar(1)" and how is it related to Tao (in the 
> > original)? Nuzzling into Linux suggests it is a function deep in all the 
> > eunuchs but I am not sure that any of that applies here (nor what the "(1)" 
> > means). Archiving a path doesn't seem to be the same as walking it -- or 
> > describing it, depending. So, that joke failing, what is going on?
> 
> to 'tar' something is to bundle it in a 'tape-archive'. 
> 
> the specifying of a path probably doesn't have to do with the archiving above. 

To be more specific, "tar" is the Unix command for making tape
archives; it collects a set of files and combines them into one file
that can be later resplit. The (1) is the section of the online
manual pages, indicating that you can get the manual page for the
command by typing "man 1 tar" (although in this case, "man tar"
would work just as well because it's not ambiguous--sometimes a
user command might have the same name as a library function or
system call, though, so the number is there to disambiguate).

--
Lee Daniel Crocker <[email-masked]> <http://www.piclab.com/lee/>
"All inventions or works of authorship original to me, herein and past,
are placed irrevocably in the public domain, and may be used or modified
for any purpose, without permission, attribution, or notification."--LDC